Exception::__construct
Exception::getPrevious
Exception
PHP Manual

# Exception::getMessage

(PHP 5 >= 5.1.0)

Exception::getMessage — Gibt die Exceptionbeschreibung zurück

### Beschreibung

final public string Exception::getMessage ( void )

Gibt die Exceptionbeschreibung zurück.

### Parameter-Liste

Diese Funktion hat keine Parameter.

### Rückgabewerte

Gibt die Exceptionbeschreibung als String zurück.

### Beispiele

Beispiel #1 Exception::getMessage()-Beispiel

`<?php
try {
throw new Exception("Some error message");
} catch(Exception $e) {
echo $e->getMessage();
}
?>`

Das oben gezeigte Beispiel erzeugt eine ähnliche Ausgabe wie:

    Some error message

Exception::__construct
Exception::getPrevious
Exception
PHP Manual